import React from 'react';
import { StyledHeader } from './partials/StyledHeader';
import { StyledTitle } from './partials/StyledTitle';
import { StyledCloseButton } from './partials/StyledCloseButton';
export var Header = function Header(_ref) {
  var onClose = _ref.onClose,
    title = _ref.title,
    titleId = _ref.titleId;
  return /*#__PURE__*/React.createElement(StyledHeader, null, /*#__PURE__*/React.createElement(StyledTitle, {
    id: titleId
  }, title), /*#__PURE__*/React.createElement(StyledCloseButton, {
    type: "button",
    onClick: onClose
  }, "\xD7"));
};